Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class BlockDeviceMapping

    java.lang.Object
      com.amazonaws.services.ec2.model.BlockDeviceMapping

    public class BlockDeviceMapping

extends Object

The BlockDeviceMappingItemType data type.

Constructor Summary
`BlockDeviceMapping()`

Method Summary
`String` | `getDeviceName()` Specifies the device name (e.g., /dev/sdh).
`EbsBlockDevice` | `getEbs()` Specifies parameters used to automatically setup Amazon EBS volumes when the instance is launched.
`String` | `getNoDevice()` Specifies the device name to suppress during instance launch.
`String` | `getVirtualName()` Specifies the virtual device name.
`void` | `setDeviceName(String deviceName)` Specifies the device name (e.g., /dev/sdh).
`void` | `setEbs(EbsBlockDevice ebs)` Specifies parameters used to automatically setup Amazon EBS volumes when the instance is launched.
`void` | `setNoDevice(String noDevice)` Specifies the device name to suppress during instance launch.
`void` | `setVirtualName(String virtualName)` Specifies the virtual device name.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`BlockDeviceMapping` | `withDeviceName(String deviceName)` Specifies the device name (e.g., /dev/sdh).
`BlockDeviceMapping` | `withEbs(EbsBlockDevice ebs)` Specifies parameters used to automatically setup Amazon EBS volumes when the instance is launched.
`BlockDeviceMapping` | `withNoDevice(String noDevice)` Specifies the device name to suppress during instance launch.
`BlockDeviceMapping` | `withVirtualName(String virtualName)` Specifies the virtual device name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BlockDeviceMapping

    public BlockDeviceMapping()

Method Detail

### getVirtualName

    public String getVirtualName()

  Specifies the virtual device name.

  Returns:
    Specifies the virtual device name.

### setVirtualName

    public void setVirtualName(String virtualName)

  Specifies the virtual device name.

  Parameters:
    `virtualName` - Specifies the virtual device name.

### withVirtualName

    public BlockDeviceMapping withVirtualName(String virtualName)

  Specifies the virtual device name.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `virtualName` - Specifies the virtual device name.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDeviceName

    public String getDeviceName()

  Specifies the device name (e.g., /dev/sdh).

  Returns:
    Specifies the device name (e.g., /dev/sdh).

### setDeviceName

    public void setDeviceName(String deviceName)

  Specifies the device name (e.g., /dev/sdh).

  Parameters:
    `deviceName` - Specifies the device name (e.g., /dev/sdh).

### withDeviceName

    public BlockDeviceMapping withDeviceName(String deviceName)

  Specifies the device name (e.g., /dev/sdh).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `deviceName` - Specifies the device name (e.g., /dev/sdh).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEbs

    public EbsBlockDevice getEbs()

  Specifies parameters used to automatically setup Amazon EBS volumes when the instance is launched.

  Returns:
    Specifies parameters used to automatically setup Amazon EBS volumes when the instance is launched.

### setEbs

    public void setEbs(EbsBlockDevice ebs)

  Specifies parameters used to automatically setup Amazon EBS volumes when the instance is launched.

  Parameters:
    `ebs` - Specifies parameters used to automatically setup Amazon EBS volumes when the instance is launched.

### withEbs

    public BlockDeviceMapping withEbs(EbsBlockDevice ebs)

  Specifies parameters used to automatically setup Amazon EBS volumes when the instance is launched.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ebs` - Specifies parameters used to automatically setup Amazon EBS volumes when the instance is launched.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getNoDevice

    public String getNoDevice()

  Specifies the device name to suppress during instance launch.

  Returns:
    Specifies the device name to suppress during instance launch.

### setNoDevice

    public void setNoDevice(String noDevice)

  Specifies the device name to suppress during instance launch.

  Parameters:
    `noDevice` - Specifies the device name to suppress during instance launch.

### withNoDevice

    public BlockDeviceMapping withNoDevice(String noDevice)

  Specifies the device name to suppress during instance launch.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `noDevice` - Specifies the device name to suppress during instance launch.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.